> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /GetAccountsSummary

> To access general account details such as the cardholder's name (when available), account balance, account category and EFT eligibility, use the /GetAccountsSummary endpoint.

To access general account details such as the cardholder's name (when available), account balance, account category and EFT eligibility, use the **/GetAccountsSummary** endpoint.

Before calling this endpoint, you must first invoke the **/Authorize** endpoint to obtain a valid `RequestId`.

This `RequestId` is required to successfully request **/GetAccountsSummary.**

### Accounts Summary

The **/GetAccountsSummary** endpoint provides the following details for all linked accounts:

| **PERSONAL INFORMATION**     | **ACCOUNT INFORMATION** |
| ---------------------------- | ----------------------- |
| Holder name (when available) | EftEligibleRatio        |
|                              | ETransferEligibleRatio  |
|                              | Account title           |
|                              | Account balance         |
|                              | Account category        |
|                              | Currency                |
|                              | Account type            |

### EFT Eligibility

The `EftEligibleRatio` field is a decimal value between 0 and 1, representing a percentage. It reflects how often we've successfully retrieved the necessary information to perform an Electronic Funds Transfer (EFT) from a given account.

The higher the number, the higher the possibility is of getting the required information from the **/GetAccountDetails** endpoint.

Use this field to guide users in selecting an account for EFT transactions. It helps filter out accounts that may not support EFT functionality reliably.


## OpenAPI

````yaml POST /v3/{customerId}/BankingServices/GetAccountsSummary
openapi: 3.0.3
info:
  title: Flinks API
  description: >
    Flinks API provides financial data connectivity, enrichment, and payment
    solutions.


    ## Authentication

    Endpoints require authentication using `flinks-auth-key` header (Bearer
    token).


    For more information, visit: https://docs.flinks.com
  version: 3.0.0
  contact:
    name: Flinks Support
    url: https://www.flinks.com/contact/sales
  termsOfService: https://www.flinks.com
servers:
  - url: https://{instance}-api.private.fin.ag
    description: Flinks API Environment
    variables:
      instance:
        default: toolbox
        description: The environment instance (e.g., toolbox, sandbox, production)
security: []
tags:
  - name: Authorization
    description: Endpoints for generating authorization tokens and authenticating requests
  - name: Enrich - Consumer Attributes
    description: Consumer financial attribute analysis and credit risk assessment
paths:
  /v3/{customerId}/BankingServices/GetAccountsSummary:
    post:
      tags:
        - Connect
      summary: Get Accounts Summary
      description: >-
        To access general account details such as the cardholder's name (when
        available), account balance, account category and EFT eligibility, use
        the /GetAccountsSummary endpoint.
      operationId: getAccountsSummary
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: string
            default: 43387ca6-0391-4c82-857d-70d95f087ecb
          description: >-
            Unique GUID provided by Flinks that grants you access to the
            environment specified in the instance field.
        - name: x-api-key
          in: header
          schema:
            type: string
          description: Security feature that grants access to this endpoint.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - RequestId
              properties:
                RequestId:
                  type: string
                  description: >-
                    Unique identifier provided after a successful request to the
                    /Authorize endpoint.
                WithBalance:
                  type: boolean
                  default: true
                  description: >-
                    Specifies if you want to include account balances in the
                    account summary.
                WithAccountIdentity:
                  type: boolean
                  default: true
                  description: >-
                    Specifies if you want to include the account numbers in the
                    account summary.
              example:
                RequestId: 3fa391bc-bc52-4424-82c5-8662600df9b2
                WithBalance: true
                WithAccountIdentity: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  HttpStatusCode:
                    type: integer
                    description: HTTP status code of the response.
                  Accounts:
                    type: array
                    items:
                      type: object
                      properties:
                        EftEligibleRatio:
                          type: integer
                          description: >-
                            Decimal value (0-1) indicating EFT eligibility
                            percentage.
                        ETransferEligibleRatio:
                          type: integer
                          description: >-
                            Decimal value (0-1) indicating e-Transfer
                            eligibility percentage.
                        Title:
                          type: string
                          description: Account title (e.g., "Primary Chequing Account").
                        AccountNumber:
                          type: string
                          description: Account number.
                        LastFourDigits:
                          type: string
                          description: Last four digits of the account number.
                        Balance:
                          type: object
                          description: Account balance information.
                          properties:
                            Available:
                              type: number
                            Current:
                              type: number
                            Limit:
                              type: string
                        Category:
                          type: string
                          description: Account category (e.g., "Operations").
                        Type:
                          type: string
                          description: Account type (e.g., "Chequing", "Savings").
                        Currency:
                          type: string
                          description: Currency code (e.g., "CAD").
                        Holder:
                          type: object
                          description: Account holder information.
                          properties:
                            Name:
                              type: string
                              description: Account holder name.
                            Address:
                              type: object
                              description: Account holder address.
                              properties:
                                CivicAddress:
                                  type: string
                                  description: Street address.
                                City:
                                  type: string
                                  description: City name.
                                Province:
                                  type: string
                                  description: Province/State code.
                                PostalCode:
                                  type: string
                                  description: Postal/ZIP code.
                                POBox:
                                  type: string
                                  description: PO Box (if applicable).
                                Country:
                                  type: string
                                  description: Country code.
                            Email:
                              type: string
                              description: Account holder email.
                            PhoneNumber:
                              type: string
                              description: Account holder phone number.
                        AccountType:
                          type: string
                          nullable: true
                          enum:
                            - Personal
                            - Business
                          description: Type of account.
                        Id:
                          type: string
                          description: Unique account identifier.
                  Links:
                    type: array
                    description: List of available data endpoints.
                    items:
                      type: object
                      properties:
                        rel:
                          type: string
                          description: Relationship type of the link.
                        href:
                          type: string
                          description: Endpoint path.
                        example:
                          type: string
                          description: Example value (if applicable).
                  Tag:
                    type: string
                    description: User tag (if provided).
                  InstitutionName:
                    type: string
                    description: Name of the financial institution.
                  Login:
                    type: object
                    description: Login information.
                    properties:
                      Username:
                        type: string
                        description: Login username.
                      IsScheduledRefresh:
                        type: boolean
                        description: Indicates if scheduled refresh is enabled.
                      LastRefresh:
                        type: string
                        description: Timestamp of last data refresh.
                      Type:
                        type: string
                        description: Login type (e.g., "Personal", "Business").
                      Id:
                        type: string
                        description: Unique login identifier.
                  InstitutionId:
                    type: integer
                    description: Unique identifier of the financial institution.
                  Institution:
                    type: string
                    description: Name of the financial institution.
                  RequestId:
                    type: string
              example:
                HttpStatusCode: 200
                Accounts:
                  - EftEligibleRatio: 0
                    ETransferEligibleRatio: 0
                    Title: Primary Chequing Account
                    AccountNumber: '1234567'
                    LastFourDigits: null
                    Balance:
                      Available: 1234.45
                      Current: 4321.45
                      Limit: null
                    Category: Operations
                    Type: Chequing
                    Currency: CAD
                    Holder:
                      Name: John Doe
                      Address:
                        CivicAddress: 20 Park Avenue
                        City: Toronto
                        Province: 'ON'
                        PostalCode: X1X X2X
                        POBox: null
                        Country: CA
                      Email: johndoe@test.com
                      PhoneNumber: +1 123-456-7890
                    AccountType: Personal
                    Id: xxxx-xxxx-xxxxxxx-xxxxxx
                Links:
                  - rel: AccountsDetail
                    href: /GetAccountsDetail
                    example: null
                  - rel: Statements
                    href: /GetStatements
                    example: null
                Tag: userId=xxxxxxxxxxxx
                InstitutionName: BMO
                Login:
                  Username: '1234567890'
                  IsScheduledRefresh: false
                  LastRefresh: '2024-10-10T12:00:00.000000'
                  Type: Business
                  Id: xxxx-xxxx-xxxxxx-xxxxxx
                InstitutionId: 1
                Institution: BMO
                RequestId: xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxx
        '202':
          description: Operation Pending
          content:
            application/json:
              schema:
                type: object
                properties:
                  HttpStatusCode:
                    type: integer
                    example: 202
                    description: HTTP status code of the response.
                  FlinksCode:
                    type: string
                    example: OPERATION_PENDING
                    description: Flinks-specific code OPERATION_PENDING.
                  Links:
                    type: array
                    description: Links to async endpoint to check status.
                    items:
                      type: object
                      properties:
                        rel:
                          type: string
                        href:
                          type: string
                        example:
                          type: string
                  Message:
                    type: string
                    example: Your operation is still processing
                    description: Status message.
                  RequestId:
                    type: string
                    description: Unique request identifier.
              example:
                FlinksCode: OPERATION_PENDING
                Links:
                  - rel: '{Endpoint}Async'
                    href: /{Endpoint}Async
                    example: /{Endpoint}Async/{requestId}
                HttpStatusCode: 202
                Message: Your operation is still processing
                RequestId: 077785a3-fd0f-42f7-9251-ee2ff7f3b4ff
        '400':
          description: Session Nonexistent
          content:
            application/json:
              schema:
                type: object
                properties:
                  HttpStatusCode:
                    type: integer
                    description: HTTP status code.
                  Message:
                    type: string
                    description: Error message.
                  FlinksCode:
                    type: string
              example:
                HttpStatusCode: 400
                Message: >-
                  RequestId 1df20baf-65d5-40ee-9be0-8058c13042e2 is invalid or
                  session has ended
                FlinksCode: SESSION_NONEXISTENT

````